# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.blogger
Class BloggerService.Versions

    java.lang.Object
      com.google.gdata.client.blogger.BloggerService.Versions

Enclosing class:
  BloggerService

    public static final class BloggerService.Versions

extends java.lang.Object

GData versions supported by Blogger Service.

Field Summary
`static Version` `V1` The original version of the Blogger service based on V1 of the GData core protocol.
`static Version` `V2` The V2 of the Blogger service based on V2 of the GData core protocol that brings it to full alignment with the now standard Atom Publishing Protocol specification.

Constructor Summary
`BloggerService.Versions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  The original version of the Blogger service based on V1 of the GData core protocol.

### V2

    public static final Version V2

  The V2 of the Blogger service based on V2 of the GData core protocol that brings it to full alignment with the now standard Atom Publishing Protocol specification.

Constructor Detail

### BloggerService.Versions

    public BloggerService.Versions()